Zum Hauptinhalt springen
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
Repositorys stapelweise aus der Indexierung entfernen
curl --request DELETE \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repository_paths": [
    "<string>"
  ]
}
'
[
  {
    "branches": [
      "<string>"
    ],
    "indexing_enabled": true,
    "repository_path": "<string>",
    "indexing_status": {
      "indexing_enabled": true,
      "latest_completed_search_index_job": {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>",
        "status": "failed"
      },
      "latest_completed_wiki_index_job": {
        "branch_name": "<string>",
        "commit": "<string>",
        "created_at": 123,
        "job_id": "<string>",
        "status": "failed"
      },
      "latest_indexes": [
        {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        }
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung IndexOrgRepositories auf Organisationsebene.

Verhalten

Deaktiviert die Indexierung und entfernt alle konfigurierten Branches für die angegebenen Repositories. Gibt 404 zurück, wenn eines der angegebenen Repositories nicht gefunden wird.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Body

application/json
repository_paths
string[]
erforderlich
Required array length: 1 - 100 elements

Antwort

Erfolgreiche Antwort

branches
string[]
erforderlich
indexing_enabled
boolean
erforderlich
repository_path
string
erforderlich
indexing_status
RepoIndexingStatusResponse · object